#
# spec file for package postfix (Version 1.1.12)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  -sendmail cyrus-sasl cyrus-sasl-devel db-devel openldap2 openldap2-client openldap2-devel openssl openssl-devel pcre
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib cyrus-sasl-devel db-devel gcc gdbm gettext heimdal-lib libtool libz openldap2 openldap2-client openldap2-devel openssl openssl-devel pam pcre perl rpm

Name:         postfix
License:      IBM Public License
Group:        Productivity/Networking/Email/Servers
Provides:     postfix smtp_daemon
Conflicts:    sendmail sendmail-tls
Autoreqprov:  on
Summary:      A fast, secure and flexible mailer
%define       sversion 1.1.11
%define       pfixtlsversion 0.8.11a
%define       opensslversion 0.9.6d
Version:      1.1.12
Release:      13
Source:       postfix-%{version}.tar.gz
Source1:      pfixtls-%{pfixtlsversion}-%{sversion}-%{opensslversion}.tar.gz
Source2:      SuSE.tar.gz
Patch:        a_p_dos_fix.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
# ---------------------------------------------------------------------------
%prep
%setup -n postfix-%{version} -a 1 -a 2
%patch
# ---------------------------------------------------------------------------

%build
patch -s -p 1 < pfixtls-%{pfixtlsversion}-%{sversion}-%{opensslversion}/pfixtls.diff
make makefiles DEBUG=""  \
	CCARGS="\
%ifarch s390 ppc
-fsigned-char \
%endif
-DHAS_LDAP -DHAS_PCRE -DUSE_SASL_AUTH -DHAS_SSL" \
	AUXLIBS="-lldap -llber -lpcre -lsasl -lssl -lcrypto"
make
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir pfixtls
cd pfixtls-%{pfixtlsversion}-%{sversion}-%{opensslversion}
cp -a doc doc_french contributed ACKNOWLEDGEMENTS CHANGES INSTALL README TODO \
	../pfixtls
cd -
%define pf_config_directory  /etc/postfix
%define pf_daemon_directory  /usr/lib/postfix
%define pf_command_directory /usr/sbin
%define pf_queue_directory   /var/spool/postfix
%define pf_sendmail_path     /usr/sbin/sendmail
%define pf_newaliases_path   /usr/bin/newaliases
%define pf_mailq_path        /usr/bin/mailq
%define pf_setgid_group      maildrop
%define pf_sample_directory  /etc/postfix
%define pf_readme_directory  %{_docdir}/postfix/README_FILES
sh postfix-install -non-interactive \
       install_root=%{buildroot} \
       config_directory=%{pf_config_directory} \
       daemon_directory=%{pf_daemon_directory} \
       command_directory=%{pf_command_directory} \
       queue_directory=%{pf_queue_directory} \
       sendmail_path=%{pf_sendmail_path} \
       newaliases_path=%{pf_newaliases_path} \
       mailq_path=%{pf_mailq_path} \
       manpage_directory=%{_mandir} \
       setgid_group=%{pf_setgid_group} \
       sample_directory=%{pf_sample_directory} \
       readme_directory=%{pf_readme_directory}
ln -sf ../sbin/sendmail $RPM_BUILD_ROOT/usr/lib/sendmail
for i in qmqp-source smtp-sink smtp-source; do
	install -m 755 bin/$i $RPM_BUILD_ROOT/usr/sbin/$i
done
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
mkdir -p $RPM_BUILD_ROOT/etc/permissions.d
install -g root -m 755 -o root SuSE/rc.postfix $RPM_BUILD_ROOT/etc/init.d/postfix
ln -sf ../etc/init.d/postfix $RPM_BUILD_ROOT/sbin/rcpostfix
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 SuSE/sysconfig.postfix $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.postfix
install -m 644 SuSE/sysconfig.mail-postfix $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.mail-postfix
rm -f $RPM_BUILD_ROOT/sbin/conf.d/SuSEconfig.postfix
sed -e 's;@readme_directory@;%{pf_readme_directory};' \
    -e 's;@sample_directory@;%{pf_sample_directory};' \
    -e 's;@sendmail_path@;%{pf_sendmail_path};' \
    -e 's;@setgid_group@;%{pf_setgid_group};' \
    -e 's;@manpage_directory@;%{_mandir};' \
    -e 's;@newaliases_path@;%{pf_sendmail_path};' \
    -e 's;@mailq_path@;%{pf_mailq_path};' SuSE/SuSEconfig.postfix \
                 > $RPM_BUILD_ROOT/sbin/conf.d/SuSEconfig.postfix
chmod 755 $RPM_BUILD_ROOT/sbin/conf.d/SuSEconfig.postfix
install -m 644 SuSE/aliases $RPM_BUILD_ROOT/etc/aliases
install -m 644 SuSE/main.cf $RPM_BUILD_ROOT/etc/postfix/main.cf
install -m 644 SuSE/master.cf $RPM_BUILD_ROOT/etc/postfix/master.cf
install -m 644 SuSE/permissions $RPM_BUILD_ROOT/etc/permissions.d/postfix
install -m 644 SuSE/sender_canonical $RPM_BUILD_ROOT/etc/postfix/sender_canonical
rm -rf $RPM_BUILD_ROOT/var/spool/postfix/*
mkdir $RPM_BUILD_ROOT/var/spool/postfix/maildrop
chown postfix.root $RPM_BUILD_ROOT/var/spool/postfix/maildrop
chmod 1733 $RPM_BUILD_ROOT/var/spool/postfix/maildrop
mkdir $RPM_BUILD_ROOT/var/spool/postfix/public
chown postfix.maildrop $RPM_BUILD_ROOT/var/spool/postfix/public
chmod 755 $RPM_BUILD_ROOT/var/spool/postfix/public
$RPM_BUILD_ROOT/usr/sbin/postconf -c $RPM_BUILD_ROOT/etc/postfix \
        -e "manpage_directory = %{_mandir}" \
           "setgid_group      = %{pf_setgid_group}" \
           "mailq_path        = %{pf_mailq_path}" \
           "newaliases_path   = %{pf_newaliases_path}" \
           "sendmail_path     = %{pf_sendmail_path}" \
           "sample_directory  = %{pf_sample_directory}" \
           "readme_directory  = %{pf_readme_directory}"

%post
# Remember whether we had an older version of postfix installed before
# doing the fillup
unset PFOLD
# Update from SuSE Linux <= 7.3
test -e etc/rc.config.d/postfix.rc.config && \
     { grep POSTFIX_UPDATE_CHROOT_JAIL \
       etc/rc.config.d/postfix.rc.config >/dev/null || PFOLD=yes; }
# Update from SuSE Linux > 7.3
test -e etc/sysconfig/postfix && \
     { grep POSTFIX_UPDATE_CHROOT_JAIL \
       etc/sysconfig/postfix >/dev/null || PFOLD=yes; }
test -e etc/rc.config.d/postfix.rc.config -a -f etc/rc.config && {
   cat etc/rc.config.d/postfix.rc.config >> etc/rc.config
   rm -f etc/rc.config.d/postfix.rc.config
}
%{rename_sysconfig_variable POSTFIX_CREATECF MAIL_CREATE_CONFIG}
%{rename_sysconfig_variable POSTFIX_NULLCLIENT NULLCLIENT}
%{fillup_and_insserv -y postfix}
%{remove_and_set POSTFIX_MAILDROP_MODE}
%{fillup_only -an mail}
# postfix config is now in /etc/sysconfig/postfix...
# ------------------------------------------------------------------
if [ -n "$PFOLD" ]; then
   # We have to set POSTFIX_UPDATE_CHROOT_JAIL according to MAIL_CREATE_CONFIG
   RCTMP=etc/sysconfig/postfix.$$
   . etc/sysconfig/postfix
   . etc/sysconfig/mail
   if [ "`echo $POSTFIX_CHROOT | tr 'A-Z' 'a-z' `" == "yes" -o \
        "`echo $MAIL_CREATE_CONFIG | tr 'A-Z' 'a-z' `" == "yes" ]; then
      echo "Setting POSTFIX_UPDATE_CHROOT_JAIL to yes" 
      rm -f $RCTMP
      sed 's/^POSTFIX_UPDATE_CHROOT_JAIL.*/POSTFIX_UPDATE_CHROOT_JAIL="yes"/' \
          etc/sysconfig/postfix > $RCTMP
      mv $RCTMP etc/sysconfig/postfix
   fi
   if [ "`echo $MAIL_CREATE_CONFIG | tr 'A-Z' 'a-z' `" == "yes" ]; then
      echo "Setting SMTPD_LISTEN_REMOTE to yes"
      rm -f $RCTMP
      sed 's/^SMTPD_LISTEN_REMOTE.*/SMTPD_LISTEN_REMOTE="yes"/' \
          etc/sysconfig/postfix > $RCTMP
      mv $RCTMP etc/sysconfig/postfix
   fi
fi
# ------------------------------------------------------------------
# updating master.cf
unset DOIT
grep -E "^(flush|cleanup)[[:space:]]+(unix|fifo)[[:space:]]+-" \
      etc/postfix/master.cf >/dev/null && DOIT=yes
grep -E "^pickup[[:space:]]+(unix|fifo)[[:space:]]+.[[:space:]]+n" \
      etc/postfix/master.cf >/dev/null && DOIT=yes
if [ -n "$DOIT" ]; then
   echo "Updating /etc/postfix/master.cf"
   CFBAK=master.cf.`date +%Y-%m-%d`
   CFNEW=master.cf.$$
   cat etc/postfix/master.cf |awk '
BEGIN			{ OFS="\t"; }
/^#/			{ print; next; }
/^ /			{ print; next; }
/^(cleanup|flush)/	{ $3="n"; print $0; next; }
/^pickup/		{ $4="-"; print $0; next; }
			{ print; next };' > etc/postfix/$CFNEW
   echo "Backing up old master.cf as $CFBAK"
   cp --remove-destination etc/postfix/master.cf etc/postfix/$CFBAK
   mv etc/postfix/$CFNEW etc/postfix/master.cf
fi
# ------------------------------------------------------------------
# updating main.cf
grep ^manpage_directory etc/postfix/main.cf >/dev/null || {
  echo "Updating /etc/postfix/main.cf"
  usr/sbin/postconf -c etc/postfix \
     -e "manpage_directory = %{_mandir}" \
        "setgid_group      = %{pf_setgid_group}" \
        "mailq_path        = %{pf_mailq_path}" \
        "newaliases_path   = %{pf_newaliases_path}" \
        "sendmail_path     = %{pf_sendmail_path}" \
        "sample_directory  = %{pf_sample_directory}" \
        "readme_directory  = %{pf_readme_directory}"
}

%postun
%insserv_cleanup

%files
/var/adm/fillup-templates/sysconfig.postfix
/var/adm/fillup-templates/sysconfig.mail-postfix
/sbin/conf.d/SuSEconfig.postfix
%config(noreplace) /etc/postfix/access
%config(noreplace) /etc/postfix/canonical
%config(noreplace) /etc/postfix/main.cf
%config(noreplace) /etc/postfix/master.cf
%config(noreplace) /etc/postfix/relocated
%config(noreplace) /etc/postfix/transport
%config(noreplace) /etc/postfix/virtual
%config(noreplace) /etc/postfix/sender_canonical
%config(noreplace) /etc/postfix/pcre_table
%config(noreplace) /etc/postfix/regexp_table
/etc/postfix/LICENSE
/etc/postfix/postfix-script
/etc/postfix/post-install
/etc/postfix/postfix-files
/etc/postfix/sample-*
%config(noreplace) /etc/aliases
%config /etc/permissions.d/postfix
%config /etc/init.d/postfix
/usr/bin/mailq
/usr/bin/newaliases
/usr/sbin/postalias
/usr/sbin/postcat
/usr/sbin/postconf
%attr(2755, root, maildrop) /usr/sbin/postdrop
/usr/sbin/postfix
/usr/sbin/postkick
/usr/sbin/postlock
/usr/sbin/postlog
/usr/sbin/postmap
%attr(2755, root, maildrop) /usr/sbin/postqueue
/usr/sbin/postsuper
/usr/sbin/qmqp-source
%attr(0755, root, root) /usr/sbin/sendmail
/usr/sbin/smtp-sink
/usr/sbin/smtp-source
%dir %attr(0755, postfix, maildrop) /var/spool/postfix/public
/sbin/rcpostfix
/usr/lib/postfix
/usr/lib/sendmail
%dir %attr(0755, root, postfix) /var/spool/postfix
%dir %attr(1730, postfix, maildrop) /var/spool/postfix/maildrop
%doc 0README COMPATIBILITY HISTORY INSTALL LICENSE PORTING RELEASE_NOTES
%doc README_FILES examples html
%doc SuSE/README.SuSE
%doc pfixtls
%doc %{_mandir}/man?/*.gz

%description
Postfix aims to be an alternative to the widely-used sendmail program

Authors:
--------
    Wietse Venema <wietse@porcupine.org>
    TLS Extension: Lutz Jnicke <Lutz.Jaenicke@aet.TU-Cottbus.DE>

SuSE series: n


%changelog -n postfix
* Tue Jul 29 2003 - choeger@suse.de
- Security update to postfix 1.1.12 (1.1, patchlevel 12)
  including patch for the "Postfix address parser DoS" bug of 1.1.12.
  Postfix versions older then 1.1.12 contain a bug which would enable the
  attacker to bounce-scan private networks or use the daemon as a DDoS tool.
* Tue Mar 12 2002 - choeger@suse.de
- Bugfix: don't check whether POSTFIX_MASQUERADE_DOMAIN is empty
  or not, because else we won't be able to clear it.
* Thu Feb 28 2002 - choeger@suse.de
- added flags=q to amavis transport definition (link@suse.de):
  [...]
  If your postfix is older than snapshot 20010610, leave out the
  "flags=q" part. However, amavis will not function properly with
  envelope adresses that contain whitespace in the local-part.
  This is quite rare, but has been observed a few times.
  [...]
* Mon Feb 25 2002 - choeger@suse.de
- update to version 1.1.4 (1.1, patchlevel 4)
  Bugfix (excerpt from HISTORY):
  ..................................................................
  off-by-one error, causing a null byte to be
  written outside dynamically allocated memory in
  the queue manager with addresses of exactly 100
  bytes long, resulting in SIGSEGV on systems with
  an "exact fit" malloc routine.
  ..................................................................
- added new option SMTPD_LISTEN_REMOTE to /etc/sysconfig/mail
  which has been introduced by the SuSE dist-team (excerpt):
  ..................................................................
  sendmail does have an option to listen only on the local port,
  this should be the default.
  A flag "SMTPD_LISTEN_REMOTE" in /etc/sysconfig/mail will be used
  to decide if port 25 should be opened externally.
  The sendmail package will send a mail to root explaining this
  fact. sendmail updates will copy the value of START_SMTPD to this
  new flag.
  ..................................................................
  As this is a totally different behaviour compared to old releases,
  SMTPD_LISTEN_REMOTE will be set to "yes", if POSTFIX_CREATECF
  (now MAIL_CREATE_CONFIG) had been set to "yes" before the update.
* Thu Feb 21 2002 - choeger@suse.de
- fillup workaround
* Thu Feb 21 2002 - choeger@suse.de
- hostname handling is still annoying
  added some piece of code to SuSEconfig.postfix to
  get a valid hostname
* Mon Feb 18 2002 - choeger@suse.de
- %%postinst cleanup:
  . use rename_sysconfig_variable macro
  . use remove_and_set macro
  instead of directly calling fillup
* Wed Feb 13 2002 - choeger@suse.de
- FQHOSTNAME has been removed from /etc/sysconfig/network/config
  and is now set in /etc/HOSTNAME, which wasn't FQ in the past.
  *Please, don't change it again*
- if POSTFIX_LOCALDOMAINS is set, do not append
  "$myhostname, localhost.$mydomain" anymore
* Tue Feb 12 2002 - choeger@suse.de
- Also take care of the localhost:10025 mailer definition when
  setting up chroot options
* Mon Feb 11 2002 - choeger@suse.de
- Do not set myorigin to FROM_HEADER
* Thu Feb 07 2002 - choeger@suse.de
- Bugfix(SuSEconfig.postfix): typo in path to /etc/sysconfig/amavis
* Mon Feb 04 2002 - choeger@suse.de
- SuSEconfig.postfix enhancement: get hostname from hostname -f
  Bugfix: get FQHOSTNAME from /etc/sysconfig/network/config
- added -y to fillup_and_insserv to create startlinks
  after installation
- changed company name to SuSE Linux AG in copyright headers
* Mon Feb 04 2002 - choeger@suse.de
- update to postfix 1.1.3 and tls extensions 0.8.3
  minor bugfixes
  http://groups.yahoo.com/group/postfix-users/message/52953
* Fri Feb 01 2002 - choeger@suse.de
- Bugfix: Forgot to assign a name to TMPDIR in SuSEconfig.postfix
* Fri Feb 01 2002 - choeger@suse.de
- added resolve_local_panic.patch
  http://groups.yahoo.com/group/postfix-users/message/52746
* Wed Jan 30 2002 - choeger@suse.de
- update of tls extensions to 0.8.2
* Mon Jan 28 2002 - choeger@suse.de
- update to version 1.1.2
- sysconfig.mail changes
* Tue Jan 22 2002 - choeger@suse.de
- renamed cleanup.fillup to sysconfig.postfix.cleanup
- added postqueue patch, see
  http://groups.yahoo.com/group/postfix-users/message/51611
  for more details
* Mon Jan 21 2002 - choeger@suse.de
- update to official release version 1.1.0
- moved some stuff to /etc/sysconfig/mail
- cleaned up /etc/rc.config access
- added some safety checks to SuSEconfig.postfix
* Wed Jan 16 2002 - choeger@suse.de
- update to version 20020115 (release candidate for Postfix
  official release version 1.1)
* Tue Jan 15 2002 - choeger@suse.de
- some improvements to SuSEconfig.postfix
* Fri Jan 11 2002 - choeger@suse.de
- updated to version 20020107
- added postinstall section to update from previous versions
  of postfix
* Tue Jan 08 2002 - egmont@suselinux.hu
- Changed /sbin/init.d to /etc/init.d in init script comment
* Mon Jan 07 2002 - choeger@suse.de
- added sender_canonical_maps to SuSEconfig.postfix to let
  the new YaST2 module setup this map similar to sendmails
  genericstable
* Thu Jan 03 2002 - kukuk@suse.de
- SuSEconfig.postfix shell script is no config file [Bug #12712]
* Wed Dec 19 2001 - choeger@suse.de
- Made initscript more LSB compliant (status codes)
- Bugfix for Bugzilla ID#12672 (improve explanation
  of POSTFIX_LOCALDOMAINS)
- robustness enhancement for SuSEconfig.postfix
* Fri Dec 14 2001 - choeger@suse.de
- typo in specfile (master.cf installed as main.cf)
* Thu Dec 13 2001 - choeger@suse.de
- update to version 20011210
- some changes to SuSEconfig.postfix:
  . added POSTFIX_UPDATE_CHROOT_JAIL variable, see README.SuSE
  . some cleanups for chroot jail
  . little bugfixes
* Thu Dec 13 2001 - ro@suse.de
- moved rc.config.d -> sysconfig
* Wed Nov 28 2001 - choeger@suse.de
- update to version 20011127
- some changes to SuSEconfig.postfix:
  . added more robustness (Jehova)
  . do not chown -R postfix to /var/spool/postfix
  . query for package cyrus-sasl instead of sasl
* Tue Nov 20 2001 - choeger@suse.de
- update to version 20011115
  Bugfix for a memory exhaustion bug in smtpd
  see http://groups.yahoo.com/group/postfix-users/message/46597
- remove START_ variable
* Fri Nov 09 2001 - choeger@suse.de
- some changes to specfile (thanks to Simon J Mudd from whom
  I copied some code)
* Tue Nov 06 2001 - choeger@suse.de
- fix some SuSEconfig.postfix bugs:
  . master.cf chroot column can also contain '-'
  . don't do anything if POSTFIX_CREATECF != yes
* Fri Oct 26 2001 - choeger@suse.de
- update to most recent snapshot version 20011008
* Thu Oct 25 2001 - choeger@suse.de
- update to pl05
* Fri Oct 19 2001 - choeger@suse.de
- Bugfix, Bugzilla ID#11914
* Wed Sep 26 2001 - choeger@suse.de
- ALWAYS create master.cf, even is POSTFIX_CREATECF is set
  to no, because else chroot mode may not work, Bugzilla ID#11359
* Thu Sep 13 2001 - choeger@suse.de
- removed an obsolete echo in start section of init-script
* Thu Sep 06 2001 - choeger@suse.de
- Bugfix in init-script: redirect output of postfix start
  to dev/null and do not use startproc to start postfix
* Tue Sep 04 2001 - choeger@suse.de
- update to tls-extensions v0.7.9
  see http://groups.yahoo.com/group/postfix-users/message/41094
  for details
* Fri Aug 31 2001 - choeger@suse.de
- update of tls-extensions to 0.7.8
- update of postfix to pl04
- Bugfix: - check if postfix spool is set up before starting postfix
- start postfix with postfix start, because postfix-script
  wouldn't be executed, else.
* Tue Jul 10 2001 - choeger@suse.de
- update of tls-extensions to 0.7.3
* Thu Jun 28 2001 - choeger@suse.de
- bugfix: remove libs from chroot jail, that are no longer
  valid, Bugzilla ID#9133
- bugfix: init script was not LSB compliant, Bugzilla ID#9063
* Fri Jun 15 2001 - choeger@suse.de
- added cyrus to require start in init-script
- "bugfix": bootstrap problem cyrus-imapd <-> postfix:
  cyrus-imapd must run before postfix, but fails to create
  lmtp socket, because /var/spool/postfix/public directory
  isn't present. FIX: add it to filelist
* Wed Jun 13 2001 - choeger@suse.de
- install postrop with special SGID modes
* Tue Jun 12 2001 - choeger@suse.de
- improved SuSEconfig.postfix
- better main.cf handling
- new feature: chroot or not chroot
* Mon May 28 2001 - choeger@suse.de
- major bugfix: memory leak in the LDAP client module
- minor bugfixes
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Wed May 02 2001 - choeger@suse.de
- updated to pl02, bugfixrelease
* Mon Apr 30 2001 - choeger@suse.de
- Bugfix for SuSEconfig.postfix:
  Handling of TIMEZONE variable if set to unappropriate or no
  value
- Improvement: Warnings are printed out in bold
* Tue Apr 17 2001 - kukuk@suse.de
- Don't use a RPM macro for version number
* Fri Mar 30 2001 - choeger@suse.de
- update to pl01, bugfixrelease
* Tue Mar 27 2001 - choeger@suse.de
- added libcrack to chroot jail, because
  it is needed by pam_pwcheck
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Mon Mar 05 2001 - choeger@suse.de
- first non-beta of the next postfix generation
- v20010228
* Tue Feb 27 2001 - ro@suse.de
- added cyrus-sasl-devel to neededforbuild
* Tue Feb 27 2001 - choeger@suse.de
- new version, 20010225
- removed notification message
* Tue Feb 20 2001 - choeger@suse.de
- bugfix: wrong permissions for maildrop directory
* Wed Jan 31 2001 - choeger@suse.de
- update to version 20010128
- now linked against ldaplib2
* Fri Jan 05 2001 - choeger@suse.de
- bugfix: maildrop must be owned by postfix.root
* Mon Dec 18 2000 - choeger@suse.de
- update to version 20001212
- bugfix: insserv
- bugfix: missed openssl in neededforbuilt
- renamed to postfix, because a non-crypto version
  is no longer needed
* Wed Dec 13 2000 - choeger@suse.de
- Bugfix: postfix-script was not executable
* Tue Dec 12 2000 - choeger@suse.de
- Bugfixes:
  Provides in initscript
  Use /bin/bash in SuSEconfig.postfix
- Update to version 20001210
* Thu Nov 30 2000 - ro@suse.de
- startscript sbin -> etc
* Thu Nov 23 2000 - choeger@suse.de
- new version
- fix for neededforbuild
- fix for master.cf
* Wed Nov 22 2000 - choeger@suse.de
- adopted to new init scheme
* Wed Nov 15 2000 - choeger@suse.de
- fixed neededforbuild
* Tue Nov 14 2000 - choeger@suse.de
- update to version 20001030
* Thu Nov 09 2000 - choeger@suse.de
- long packagename
- added rpm buildroot
* Wed Nov 08 2000 - uli@suse.de
- fixed neededforbuild
* Fri Nov 03 2000 - bk@suse.de
- src/util/dict_ldap.c:dict_ldap_lookup(): fix missing **-termination.
* Tue Oct 24 2000 - fober@suse.de
- s390,ppc: added -fsigned-char compiler option, to fix obscure segfaults.
  (code is not signed/unsigned-char-clean)
* Thu Oct 12 2000 - choeger@suse.de
- yet another SuSEconfig.postfix bug (incorrect link)
* Wed Oct 11 2000 - choeger@suse.de
- bugfix for SuSEconfig.postfix
* Mon Oct 09 2000 - choeger@suse.de
- bugfix: missed to install new flush service
* Mon Oct 09 2000 - choeger@suse.de
- inititial revision of pfixtls
